summaryrefslogtreecommitdiff
path: root/eclass/elisp.eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/elisp.eclass')
-rw-r--r--eclass/elisp.eclass25
1 files changed, 14 insertions, 11 deletions
diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
index bcd80a9ee9ca..c885345a7a83 100644
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -38,8 +38,7 @@
# @DESCRIPTION:
# Space separated list of patches to apply after unpacking the sources.
# Patch files are searched for in the current working dir, WORKDIR, and
-# FILESDIR. This variable is semi-deprecated, preferably use the
-# PATCHES array instead if the EAPI supports it.
+# FILESDIR.
# @ECLASS-VARIABLE: ELISP_REMOVE
# @DEFAULT_UNSET
@@ -60,6 +59,12 @@
# Space separated list of Texinfo sources. Respective GNU Info files
# will be generated in src_compile() and installed in src_install().
+# @ECLASS-VARIABLE: DOCS
+# @DEFAULT_UNSET
+# @DESCRIPTION:
+# DOCS="blah.txt ChangeLog" is automatically used to install the given
+# files by dodoc in src_install().
+
inherit elisp-common
case ${EAPI:-0} in
4|5) inherit epatch ;;
@@ -96,7 +101,7 @@ elisp_pkg_setup() {
# WORKDIR for packages distributed that way.
elisp_src_unpack() {
- default
+ [[ -n ${A} ]] && unpack ${A}
if [[ -f ${P}.el ]]; then
# the "simple elisp" case with a single *.el file in WORKDIR
mv ${P}.el ${PN}.el || die
@@ -127,10 +132,10 @@ elisp_src_prepare() {
esac
done
- # apply PATCHES (if supported in EAPI), and any user patches
+ # apply any user patches
case ${EAPI} in
4|5) epatch_user ;;
- *) default ;;
+ *) eapply_user ;;
esac
if [[ -n ${ELISP_REMOVE} ]]; then
@@ -172,13 +177,11 @@ elisp_src_install() {
if [[ -n ${ELISP_TEXINFO} ]]; then
set -- ${ELISP_TEXINFO}
set -- ${@##*/}
- doinfo ${@/%.*/.info*}
+ doinfo ${@/%.*/.info*} || die
+ fi
+ if [[ -n ${DOCS} ]]; then
+ dodoc ${DOCS} || die
fi
- # install documentation only when explicitly requested
- case ${EAPI} in
- 4|5) [[ -n ${DOCS} ]] && dodoc ${DOCS} ;;
- *) declare -p DOCS &>/dev/null && einstalldocs ;;
- esac
if declare -f readme.gentoo_create_doc >/dev/null; then
readme.gentoo_create_doc
fi